.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(40, 5, 5, .35);
    z-index: 1;
    opacity: 0;
    pointer-events: none;
    -webkit-transition: all .3s ease;
    transition: all .5s ease;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    font-family: "Golos Text", sans-serif;
    font-optical-sizing: auto;
    font-weight: 900;
    font-style: normal;
}

.modal--active {
    z-index: 50;
    opacity: 1;
    pointer-events: all;
}

.modal__content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.modal__content {
    width: 458px;
    aspect-ratio: 458 / 606;
    background: image-set(
        url('../img/modal/modal@1x.webp') 1x,
        url('../img/modal/modal@2x.webp') 2x
    ) no-repeat center center;
    background-size: cover;
    position: absolute;
    isolation: isolate;
    z-index: 102;
    filter: drop-shadow(0px 0px 81px rgba(255, 187, 0, 1));
    padding-top: 60px;
}

.modal__content.no-transition {
    transition: none !important;
}

.modal__title {
    font-size: 48px;
    letter-spacing: 1.44px;
    font-weight: 900;
    background: #FFBB00;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    margin-bottom: 10px;
}

.modal__title-second {
    margin-bottom: 40px;
}

.modal__content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: 16px;
}

.modal__subtitle-first {
    font-size: 36px;
    letter-spacing: 5px;
    position: relative;
    line-height: 1.2;


    background: linear-gradient(to bottom,
        #FFFFFF 6%,
        #EAE8E8 32%,
        #EAE8E8 69%,
        #FFFFFF 100%
        );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.modal__subtitle-first:nth-child(1) {
    font-size: 180px;
    line-height: 1;
}

.modal__subtitle-first:nth-child(2) {
    margin-top: -10px;
    margin-bottom: 0;
}

.modal__subtitle-second {
    font-size: 36px;
    letter-spacing: 5px;
    position: relative;
    line-height: 1.2;
    content: attr(data-text);
    left: 0;
    top: 0;
    -webkit-text-stroke: 1px #000;
    z-index: -1;
    font-weight: 900;
}

.modal__subtitle-second:nth-child(1) {
    font-size: 30px;
    letter-spacing: 4px;
}

.modal__subtitle-second:nth-child(2) {
    font-size: 65px;
    letter-spacing: -2px;
    line-height: 1;
}

.modal__subtitle-second:nth-child(3) {
    font-size: 65px;
    letter-spacing: -1.5px;
    line-height: 1;
}

.modal__subtitle-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: 700;
}

.modal__btn-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    pointer-events: auto;
    margin-top: -15px;
}

.modal__btn-wrapper-second {
    margin-top: 40px;
}

.modal__btn {
    width: 390px;
    height: 75px;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background: linear-gradient(to bottom,
        #0B0A07 24%,
        #0B0A07 51%,
        #737373 100%
        );
    border-radius: 12px;
    border: 4px solid #FFCC00;
}

.modal__btn-label {
    font-size: 36px;
    line-height: 1.2;
    font-weight: 700;
    letter-spacing: 2px;
    color: #FEBA04;
    position: relative;
}

.modal__btn-label::before {
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    -webkit-text-stroke: 4px #FFF600;
    color: transparent;
    background: none;
    z-index: -1;
}

.modal__gold {
    position: relative;
    top: 30px;
    z-index: 0;
}

.modal__btn-pulse {
    animation: pulse 2s linear infinite;
}

#button {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
